All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.table
Class RangeTypesViewPanel

    com.sas.table.RangeTypesViewPanel

All Implemented Interfaces:
  com.sas.beans.CustomizerClosingInterface, LayoutConstants, java.awt.event.ItemListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.Customizer, java.beans.PropertyChangeListener, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

    public class RangeTypesViewPanel

implements java.beans.PropertyChangeListener, java.awt.event.ItemListener

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.swing.visuals.SwingCustomizerPanel
`bean, tabTitle`

Fields inherited from interface com.sas.swing.visuals.util.LayoutConstants
`DOTS_BUTTON_INSETS, EMPTY_INSETS, HGAP, HMARGIN, INDENTED_BORDER, TAB_BORDER, TEXTFIELD_INSETS, VGAP, VMARGIN`

Constructor Summary
`RangeTypesViewPanel()`

Method Summary
`protected void` | `createGUI()`
`void` | `itemStateChanged(java.awt.event.ItemEvent event)`
`void` | `onApply()`
`void` | `onVisible()`
`void` | `propertyChange(java.beans.PropertyChangeEvent event)`
`void` | `setModelPanel(com.sas.sasserver.mdtable.NamedTypesCustomizerPanel modelPanel)`
`void` | `setTableView(com.sas.mdtable.MultidimensionalTableView tableView)`

Methods inherited from class com.sas.swing.visuals.SwingCustomizerPanel
`customizerClosing, getObject, getTabTitle, setObject, setTabTitle`

Constructor Detail

### RangeTypesViewPanel

    public RangeTypesViewPanel()

Method Detail

### createGUI

    protected void createGUI()

### setTableView

    public void setTableView(com.sas.mdtable.MultidimensionalTableView tableView)

### setModelPanel

    public void setModelPanel(com.sas.sasserver.mdtable.NamedTypesCustomizerPanel modelPanel)

### onApply

    public void onApply()

### onVisible

    public void onVisible()

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent event)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

### itemStateChanged

    public void itemStateChanged(java.awt.event.ItemEvent event)

  Specified by:
    `itemStateChanged` in interface `java.awt.event.ItemListener`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.